# Class VulkanLineWidthRange.Builder

java.lang.Object
com.io7m.jcoronado.api.VulkanLineWidthRange.Builder

Enclosing class:
  `VulkanLineWidthRange`

public static final class VulkanLineWidthRange.Builder extends Object
Builds instances of type `VulkanLineWidthRange`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VulkanLineWidthRange`
  `build()`
  Builds a new `VulkanLineWidthRange`.
  `final VulkanLineWidthRange.Builder`
  `from(VulkanLineWidthRangeType instance)`
  Fill a builder with attribute values from the provided `VulkanLineWidthRangeType` instance.
  `final VulkanLineWidthRange.Builder`
  `setMaximum(float maximum)`
  Initializes the value for the `maximum` attribute.
  `final VulkanLineWidthRange.Builder`
  `setMinimum(float minimum)`
  Initializes the value for the `minimum` attribute.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final VulkanLineWidthRange.Builder from(VulkanLineWidthRangeType instance)
    Fill a builder with attribute values from the provided `VulkanLineWidthRangeType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setMinimum

    public final VulkanLineWidthRange.Builder setMinimum(float minimum)
    Initializes the value for the `minimum` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `minimum`.

    Parameters:
      `minimum` - The value for minimum
    Returns:
      `this` builder for use in a chained invocation

  - ### setMaximum

    public final VulkanLineWidthRange.Builder setMaximum(float maximum)
    Initializes the value for the `maximum` attribute.

    If not set, this attribute will have a default value as returned by the initializer of `maximum`.

    Parameters:
      `maximum` - The value for maximum
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public VulkanLineWidthRange build()
    Builds a new `VulkanLineWidthRange`.
    Returns:
      An immutable instance of VulkanLineWidthRange
    Throws:
      `IllegalStateException` - if any required attributes are missing